#!/bin/bash

(

gfortran -o qcorrection2 qcorrection2.f
gcc -o readsac readsac.c -lm
gfortran -o promag promag.f

# # echo ============================
# # echo Ingresar largo de la ventana
# # echo ============================
# # read stime

if [ -f stime.in ]
then
  stime=`cat stime.in`
else
  echo ============================
  echo Ingresar largo de la ventana
  echo ============================
  read stime
fi
echo "Ancho de la ventana es " $stime

rm *.cpq *.dhp *.rrr *.spc *.asc

if [ -f t1.promedio ]
then
  rm t1.promedio
fi

if [ -f level.dat ]
then
  rm level.dat
fi



if [ -f combinar/epi3.dat ]
then
  echo "Copiando epi3.dat como epi.dat"
  cp combinar/epi3.dat epi.dat
else
  echo "No se ha calculado el epicentro"
  exit 1
fi


elon=`awk '{print $1}' epi.dat`
elat=`awk '{print $2}' epi.dat`
prof=`awk '{print $3}' epi.dat`

for i in `cat lista.dat`
do
    echo "=============> Trabajando con $i <================="
    grep $i coord.txt | awk '{print $2,$3}' > t1
    epd=`awk '{a=sqrt((x0-$1)*(x0-$1)+(y0-$2)*(y0-$2));print a*109.3}' x0="$elon" y0="$elat" t1`
    dhp=`echo $prof $epd`
    echo $dhp > $i.dhp
    echo $i.dhp $dhp
done

for j in `cat lista.dat`
do
 for i in sac*_3.$j
 do
  nres=`echo $i | cut -c22-25`
  norte=$i
  este=`echo $i | sed s/"_3."/"_2."/g`
  vert=`echo $i | sed s/"_3."/"_1."/g`
  echo $norte $este $vert

sac2000<<END
OAPF NAME level.dat
r $vert
SETBB XTS &1,a
r $norte $este

evaluate to xruido %xts - $stime
evaluate to xtinic %xts - 0.1
evaluate to xtfina %xts + $stime


CUT %xruido %xtinic           
r
rmean
CUT off
ch b 0
taper TYPE cosine width 0.1
fft am
divomega
divomega
wsp temp_n temp_e
r temp_n.am temp_e.am
sqr
W sac over
r temp_n.am
addf temp_e.am
sqrt
W sac $nres.spc

r $norte $este
CUT %xtinic %xtfina           
r
rmean
CUT off
ch b 0
taper TYPE cosine width 0.1
fft am
divomega
divomega
wsp temp_n temp_e
r temp_n.am temp_e.am
sqr
W sac over
r temp_n.am
addf temp_e.am
sqrt
W sac $nres
W sac $nres.ss
quit
END

readsac<$nres.ss> infile
cp $j.dhp t1dhp
dlf=`qcorrection2`
writesac $dlf < oufile > $nres.cpq

readsac<$nres.spc> infile
cp $j.dhp t1dhp
drr=`qcorrection2`
writesac $drr < oufile > $nres.rrr

 done
done





rm temp?.dat

n=`ls -c1 ????.cpq | wc | awk '{print $1}'`
echo $n > lista3
ls -c1 ????.cpq > lista3
h1=`head -n 1 lista3`
echo "r $h1" > prom.sac
for i in `seq 2 $n`
do
  h1=`head -n $i lista3 | tail -n 1`
  echo "addf $h1" >> prom.sac
done
echo "div $n" >> prom.sac
echo "w sac prom.dat" >> prom.sac
echo "quit" >> prom.sac


n=`ls -c1 ????.rrr | wc | awk '{print $1}'`
echo $n > lista4
ls -c1 ????.rrr > lista4
h1=`head -n 1 lista4`
echo "r $h1" > promr.sac
for i in `seq 2 $n`
do
  h1=`head -n $i lista4 | tail -n 1`
  echo "addf $h1" >> promr.sac
done
echo "div $n" >> promr.sac
echo "w sac promr.dat" >> promr.sac
echo "quit" >> promr.sac


sac2000<<END
m prom.sac
END

sac2000<<END
m promr.sac
END


sac2000<<END
r prom.dat
cut 0.1 50.0
r
w sac over
r promr.dat
cut 0.1 50.0
r
w sac over
QUIT
END

readsac < prom.dat > prom.asc
readsac < promr.dat > promr.asc

r11.py
promag

rm temp_e.am  temp_n.am temp_e.ph  temp_n.ph t1dhp
rm  ????.ss ????.cpq ????.dhp ????.spc ????.rrr

)
